<?php

namespace Drupal\ereftras;

/**
 * Class SynchronizeService.
 */
interface SynchronizeServiceIterface {

  /**
   * Create translated field for referenced entities.
   *
   * @param string $entity_type
   *   The entity type.
   * @param string $bundle
   *   The node type.
   * @param array $field_names
   *   The reference field names.
   * @param bool $only_empty
   *   Flag for not empty values overwrite.
   */
  public function synchronize(string $entity_type = NULL, string $bundle = NULL, array $field_names = [], bool $only_empty = TRUE);

}
